# xarray.Dataset.combine_first

`Dataset.``combine_first`(other: xarray.core.dataset.Dataset) → xarray.core.dataset.Dataset

  Combine two Datasets, default to data_vars of self.

  The new coordinates follow the normal broadcasting and alignment rules of `join='outer'`. Vacant cells in the expanded coordinates are filled with np.nan.

  Parameters: | other (Dataset) – Used to fill all matching missing values in this array.
  Returns: |
  Return type: | Dataset